Bug 211826 - Insert Code... ->Add Property... should support JavaFX2 properties
Insert Code... ->Add Property... should support JavaFX2 properties
Status: RESOLVED FIXED
Product: javafx
Classification: Unclassified
Component: Editor
7.2
All Windows 7
: P3 (vote)
: 7.3
Assigned To: Ralph Ruijs
issues@javafx
:
Depends on:
Blocks: 199283
  Show dependency treegraph
 
Reported: 2012-04-27 07:54 UTC by Petr Somol
Modified: 2012-07-11 10:23 UTC (History)
1 user (show)

See Also:
Issue Type: ENHANCEMENT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Petr Somol 2012-04-27 07:54:56 UTC
Current Insert code...->Add Property... is SE centric. JavaFX2 introduces new property types and conventions, that are commonly used in FX development.

See Example1 at http://docs.oracle.com/javafx/2/binding/jfxpub-binding.htm

NetBeans should support adding FX properties like SimpleDoubleProperty etc and the respective setters/getters. Note that in FX it is standard to have three of them instead of two (the third one being a getter not of value but of the property itself):

    // Define a variable to store the property
    private DoubleProperty amountDue = new SimpleDoubleProperty();
 
    // Define a getter for the property's value
    public final double getAmountDue(){return amountDue.get();}
 
    // Define a setter for the property's value
    public final void setAmountDue(double value){amountDue.set(value);}
 
     // Define a getter for the property itself
    public DoubleProperty amountDueProperty() {return amountDue;}
Comment 1 Ralph Ruijs 2012-06-18 15:48:07 UTC
Changeset: 73517b3d6ab2
Author:    Ralph Benjamin Ruijs <ralphbenjamin@netbeans.org>
Date:      2012-06-18 17:46
Message:   Issue #211826 - Insert Code... ->Add Property... should support JavaFX2 properties
Comment 2 Quality Engineering 2012-06-22 04:48:49 UTC
Integrated into 'main-golden', will be available in build *201206220002* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/73517b3d6ab2
User: Ralph Benjamin Ruijs <ralphbenjamin@netbeans.org>
Log: Issue #211826 - Insert Code... ->Add Property... should support JavaFX2 properties


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo